Page MenuHomePhabricator

Clean up usages of asserting vector getters in Type
ClosedPublic

Authored by ctetreau on Apr 1 2020, 4:50 PM.

Details

Summary

Remove usages of asserting vector getters in Type in preparation for the
VectorType refactor. The existence of these functions complicates the
refactor while adding little value.

Diff Detail

Event Timeline

ctetreau created this revision.Apr 1 2020, 4:50 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 1 2020, 4:50 PM
ctetreau updated this revision to Diff 254593.Apr 2 2020, 12:18 PM

Update to mention that this is NFC

efriedma edited reviewers, added: jonpa; removed: jnspaulsson.Apr 3 2020, 1:30 PM
ctetreau updated this revision to Diff 255827.Apr 7 2020, 2:57 PM

rebase, mention SystemZ in commit message

sdesmalen accepted this revision.Apr 10 2020, 7:15 AM

LGTM

rebase, mention SystemZ in commit message

this still needs to happen?

This revision is now accepted and ready to land.Apr 10 2020, 7:15 AM

this still needs to happen?

Apparently Arc is not a great tool and doesn't actually update the commit message in the diff... Better commit messages are being used for future commits.

This revision was automatically updated to reflect the committed changes.